import Api from '../axios'

const prefix = '/da/task'

export default {
  /* 新增采集任务 */
  add (obj) {
    return Api.post(prefix + '/add', obj)
  },
  /* 获取当前任务列表 */
  list (obj) {
    return Api.get(prefix + '/list', obj)
  },
  /* 获取当前数据库连接信息 */
  database (obj) {
    return Api.getById(prefix + '/list/database', obj)
  },
  /* 数据中心-->数据采集-->获取当前库当前表的所有字段信息 */
  listColumnByTableId (obj) {
    return Api.get(prefix + '/list/listColumnByTableId', obj)
  },
  /* 数据中心-->数据采集-->获取目标库数据库列表 */
  listDatabase (obj) {
    return Api.get(prefix + '/list/listDatabase', obj)
  },
  /* 数据中心-->数据采集-->获取源库数据库列表 */
  listOriginal (obj) {
    return Api.get(prefix + '/list/listOriginal', obj)
  },
  /* 数据中心-->数据采集-->获取当前数据库中所有表 */
  listTableByDatabaseId (obj) {
    return Api.get(prefix + '/list/listTableByDatabaseId', obj)
  },
  /* 数据中心-->数据采集-->启停任务，立即执行任务 */
  operate (obj) {
    return Api.putById(prefix + '/operate', obj)
  },
  /* 数据中心-->数据采集-->获取指定任务信息（回显） */
  toEdit (obj) {
    return Api.getById(prefix + '/toEdit', obj)
  },

  /* 获取数据表信息 */
  listTable (obj) {
    return Api.get(prefix + '/listTable', obj)
  },
  /* 更新任务 */
  update (obj) {
    return Api.putById(prefix + '/update', obj)
  },
  /* 删除任务 */
  toDel (obj) {
    return Api.deleteById(prefix+'/toDel',obj)
  }
}
